EBOOK-POLISH(1)

NAME
ebook-polish - ebook-polish

ebook-polish [option] input_file [output_file]

Polerar böcker handlar om att finslipa noggrant framställda böcker.

Polering försöker minimera förändringar på den interna koden av din e-bok. Till skillnad från konvertering, kommer det inte platta ut CSS, ändra filnamn, ändra teckenstorlekar, justera marginaler, o.s.v. Varje åtgärd utför bara minsta möjliga mängd av ändringar som behövs för den önskade effekten.

Du bör använda det här verktyget som det sista steget i din e-bokskaparprocess.

Observera att polering endast fungerar på filer i AZW3 eller EPUB-format.

När du skickar argument till ebook-polish som har blanksteg i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

[ALTERNATIV]

--compress-images, -i
    Komprimerar förlustfritt bilder i boken, för att minska filstorleken, utan att påverka bildkvaliteten.

--cover, -c
    Sökvägen till en omslagsbild. Ändrar omslag angivit i boken. Om inget omslag finns, eller omslaget inte är korrekt identifierade, infogas ett nytt omslag.

--embed-fonts, -e
    Bädda in alla typsnitt som refereras i dokumentet och som inte redan är inbäddade. Detta kommer att söka igenom datorn efter typsnitt, och om de finns, kommer de att bäddas in i dokumentet. Se till att du har giltig licens för att bädda in typsnitt som används i detta dokument.

--help, -h
    visa denna hjälptext och avsluta

--jacket, -j
    Sätt ett "bokomslag" i början av boken som innehåller allt om bokens metadata som titel, etiketter, författare, serier, kommentarer, o.s.v. Eventuellt tidigare bokomslag kommer att ersättas.

--opf, -o
    Sökväg till en OPF-fil. Metadata i boken uppdateras från OPF-filen.

--remove-jacket
    Ta bort tidigare infogat bokomslag.

--remove-unused-css, -u
    Ta bort alla oanvända CSS-regler från formatmallar och <format>etiketter. Vissa böcker skapade från produktionsmallar kan ha ett stort antal extra CSS-regler som inte matchar något av det faktiska innehållet. Dessa extra regler kan slöa ner läsare när den behöver tolka dem alla.

--smarten-punctuation, -p
    Konvertera enkel text streck, ellipser, citationstecken, flertal bindestreck, o.s.v. i deras typografiskt korrekta motsvarigheter. Observera att algoritmen ibland kan generera felaktiga resultat, särskilt när apostrof i början av sammandragningar är inblandade.

--subset-fonts, -f
    Delmängder av typsnitt innebär att minska ett inbäddat typsnitt till att innehålla endast de tecken som används av det typsnittet i boken. Detta reducerar kraftigt storleken på typsnittsfilerna (en halvering av typsnitts- filstorlekar är vanligt). Till exempel, om boken använder ett visst typsnitt för rubriker, kommer delmängder att minska det typsnittet till att bara innehålla de tecken som finns i själva rubrikerna i boken. Eller, om boken bäddar in feta och kursiva versioner av ett typsnitt, men att de är sällsynta eller saknas helt, så kan de antingen reduceras till endast ett fåtal tecken eller helt tas bort. Enda nackdelen med att använda delmängder av typsnitt är att om du, vid en senare väljer att lägga till mer text till dina böcker, kommer den nytillkomna texten kanske inte att omfattas av delmängden typsnitt.

--upgrade-book, -U
    Uppgradera bokens interna strukturer, om möjligt. Till exempel, uppgraderar EPUB 2 böcker till EPUB 3 böcker.

--verbose
    Producera mera utförligt utdata, användbart för felsökning.

--version
    visar programmets versionsnummer och avsluta

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal